---
title: z-index
---
There are 2 `z-index` value is being used in `v-onboarding` for
- overlay element
- step element
---
You can update the `z-index` values by using CSS variables

<alert type="info">
Make sure step element's z-index is always greater than overlay element's z-index
</alert>

### `overlay`
- Default: `10`
- CSS variable name: `--v-onboarding-overlay-z`
How to update
```css
:root {
  --v-onboarding-overlay-z: 30;
}
```

### `step element`
- Default: `20`
- CSS variable name: `--v-onboarding-step-z`
How to update
```css
:root {
  --v-onboarding-step-z: 40;
}
```

